#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
dto_generator:
  entities:
    api:
      XCart\API\Entity\Storefront\Product\Compact:
        fields:
          callForPrice:
            type: bool

      XCart\API\Entity\Storefront\Product\Detailed:
        fields:
          callForPrice:
            type: bool

    logic:
      XCart\Logic\Entity\Storefront\Product:
        fields:
          callForPrice:
            type: bool

services:
  _defaults:
    autowire: true
    autoconfigure: true
  QSL\CallForPrice\Core\EventListener:
    tags:
      - {name: kernel.event_listener, event: xcart.service.view-list.collect-mutation, method: onCollectViewListMutations}
  QSL\CallForPrice\Transformer\XLite\Model\Product\Logic\Entity\Storefront\ProductDecorator:
    decorates: XCart\Transformer\XLite\Model\Product\Logic\Entity\Storefront\Product
